Package org.apache.commons.fileupload2.core

# Class FileItemFactory.AbstractFileItemBuilder<I extends FileItem<I>,B extends FileItemFactory.AbstractFileItemBuilder<I,B>>

java.lang.Object
org.apache.commons.io.build.AbstractSupplier<I,B>
org.apache.commons.io.build.AbstractOriginSupplier<I,B>
org.apache.commons.io.build.AbstractStreamBuilder<I,B>
org.apache.commons.fileupload2.core.FileItemFactory.AbstractFileItemBuilder<I,B>

Type Parameters:
  `I` - the type of `FileItem` to build.
  `B` - the type of builder subclass.

All Implemented Interfaces:
  `org.apache.commons.io.function.IOSupplier<I>`

Direct Known Subclasses:
  `DiskFileItem.Builder`

Enclosing interface:
  `FileItemFactory<I extends FileItem<I>>`

public abstract static class FileItemFactory.AbstractFileItemBuilder<I extends FileItem<I>,B extends FileItemFactory.AbstractFileItemBuilder<I,B>> extends org.apache.commons.io.build.AbstractStreamBuilder<I,B>
Abstracts building for subclasses.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractFileItemBuilder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getContentType()`
  `String`
  `getFieldName()`
  `org.apache.commons.io.FileCleaningTracker`
  `getFileCleaningTracker()`
  `FileItemHeaders`
  `getFileItemHeaders()`
  `String`
  `getFileName()`
  `boolean`
  `isFormField()`
  `static FileItemHeaders`
  `newFileItemHeaders()`
  `B`
  `setContentType(String contentType)`
  `B`
  `setFieldName(String fieldName)`
  `B`
  `setFileCleaningTracker(org.apache.commons.io.FileCleaningTracker fileCleaningTracker)`
  `B`
  `setFileItemHeaders(FileItemHeaders fileItemHeaders)`
  `B`
  `setFileName(String fileName)`
  `B`
  `setFormField(boolean isFormField)`

  ### Methods inherited from class org.apache.commons.io.build.AbstractStreamBuilder

  `getBufferSize, getBufferSizeDefault, getCharSequence, getCharset, getCharsetDefault, getInputStream, getOpenOptions, getOutputStream, getPath, getWriter, setBufferSize, setBufferSize, setBufferSizeChecker, setBufferSizeDefault, setBufferSizeMax, setCharset, setCharset, setCharsetDefault, setOpenOptions`

  ### Methods inherited from class org.apache.commons.io.build.AbstractOriginSupplier

  `checkOrigin, getOrigin, hasOrigin, newByteArrayOrigin, newCharSequenceOrigin, newFileOrigin, newFileOrigin, newInputStreamOrigin, newOutputStreamOrigin, newPathOrigin, newPathOrigin, newReaderOrigin, newURIOrigin, newWriterOrigin, setByteArray, setCharSequence, setFile, setFile, setInputStream, setOrigin, setOutputStream, setPath, setPath, setReader, setURI, setWriter`

  ### Methods inherited from class org.apache.commons.io.build.AbstractSupplier

  `asThis`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.commons.io.function.IOSupplier

  `asSupplier, get`

- ## Constructor Details

  - ### AbstractFileItemBuilder

    public AbstractFileItemBuilder()

- ## Method Details

  - ### newFileItemHeaders

    public static FileItemHeaders newFileItemHeaders()

  - ### getContentType

    public String getContentType()

  - ### getFieldName

    public String getFieldName()

  - ### getFileCleaningTracker

    public org.apache.commons.io.FileCleaningTracker getFileCleaningTracker()

  - ### getFileItemHeaders

    public FileItemHeaders getFileItemHeaders()

  - ### getFileName

    public String getFileName()

  - ### isFormField

    public boolean isFormField()

  - ### setContentType

    public B setContentType(String contentType)

  - ### setFieldName

    public B setFieldName(String fieldName)

  - ### setFileCleaningTracker

    public B setFileCleaningTracker(org.apache.commons.io.FileCleaningTracker fileCleaningTracker)

  - ### setFileItemHeaders

    public B setFileItemHeaders(FileItemHeaders fileItemHeaders)

  - ### setFileName

    public B setFileName(String fileName)

  - ### setFormField

    public B setFormField(boolean isFormField)